<!DOCTYPE html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Diseño y publicación de páginas web</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Diseño y publicación de páginas web</h1>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Presentación</h2>
      <ul class="lista">
        <li>Calendario:
          <ul class="sub-lista">
            <li>Comienzo: 27/02/2023</li>
            <li>Finalización: 05/04/2023</li>
            <li>Horario: Lunes a jueves de 19:00 a 21:30</li>
            <li>Extra: 31 de Marzo</li>
          </ul>
        </li>
        <li>Pedir emails</li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Recursos</h2>
      <h4>Plataforma</h4>
      <ul class="lista">
        <li>Enlace general: <a href="https://gitlab.com/Material_Formacion">https://gitlab.com/Material_Formacion</a></li>
        <li>Presentaciones - <a href="https://material_formacion.gitlab.io/html-y-css/presentaciones/">Enlace</a></li>
        <li>Ejercicios - <a href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios">Enlace</a></li>
      </ul>
      <h4>Software</h4>
      <ul class="lista">
        <li>Navegador - Firefox, Chrome, Chromium</li>
        <li>VisualStudioCode - <a href="https://code.visualstudio.com/sha/download?build=stable&os=win32-x64-archive">Descarga</a></li>
        <li>VSCodium - <a href="https://github.com/VSCodium/vscodium/releases">Enlace</a></li>
      </ul>
      <table class="center">
        <tr>
          <th>Extensión</th>
          <th>Descripción</th>
          <th>Enlace</th>
        </tr>
        <tr>
          <td>Open</td>
          <td>Permite abrir el fichero con la aplicación predefinida</td>
          <td><a href="https://marketplace.visualstudio.com/items?itemName=sandcastle.vscode-open">Enlace</a></td>
        </tr>  
        <tr>
          <td>Live Server</td>
          <td>Permite previsualizar los ficheros mientras se editan</td>
          <td><a href="https://marketplace.visualstudio.com/items?itemName=ritwickdey.LiveServer">Enlace</a></td>
        </tr>           
      </table>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h3>Estructura de ficheros</h3>
      <div class="float-left pt-2 w-50">
        <ul class="lista">
          <li>Usar minúsculas
            <ul class="sub-lista">
              <li>carpetas</li>
              <li>ficheros</li>
            </ul>
          </li>
          <li>Sin espacios (usar _ o -)</li>
          <li>Extensión de las páginas: .html</li>
          <li>Carpeta de estilos: css</li>
          <li>Extensión de los estilos: .css</li>
          <li>Carpeta de imágenes: img</li>
        </ul>
        </div>
        <div>
        <img class="pt-2" src="img/carpetas.png" />
      </div>
    </section>
  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>